Package org.eclipse.m2m.atl.emftvm.impl

## Class RuleImpl.IsOtherLeafState

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.LeafState
  - - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.IsOtherLeafState

Enclosing class:
  RuleImpl

    protected class RuleImpl.IsOtherLeafState
    extends RuleImpl.LeafState

`RuleImpl.LeafState` class for rules for which `Rule.isLeaf()` is `false` and `Rule.isWithLeaves()` is also `false`. In other words, the rule is abstract, but has no concrete sub-rules! Such rules do not have to be matched, as they can never be applied.

### Constructor Summary

Constructors
`protected` `IsOtherLeafState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean[]` `matchRecursive​(StackFrame frame)` Matches `#getRule()` for the automatic recursive stage, if applicable.
`boolean` `matchSingle​(StackFrame frame)` Matches `#getRule()` for the automatic single stage, if applicable.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.RuleImpl.LeafState

`applyFirst`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsOtherLeafState

    protected IsOtherLeafState()

### Method Detail

#### matchSingle

    public boolean matchSingle​(StackFrame frame)

Matches `#getRule()` for the automatic single stage, if applicable.

Overrides:
  `matchSingle` in class `RuleImpl.LeafState`
Parameters:
  `frame` - the stack frame in which to execute the matcher
Returns:
  `true` iff the rule has any matches

#### matchRecursive

    public boolean[] matchRecursive​(StackFrame frame)

Matches `#getRule()` for the automatic recursive stage, if applicable.

Specified by:
  `matchRecursive` in class `RuleImpl.LeafState`
Parameters:
  `frame` - the stack frame in which to execute the matcher
Returns:
  `true` iff the rule has any matches